ds-blue-logo
Preview  |  SOLIDWORKS USER FORUM
Use your SOLIDWORKS ID or 3DEXPERIENCE ID to log in.
BABrian Austin16/08/2021

In this very simple macro,


Dim swApp As Object

Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long

Sub main()

Set swApp = Application.SldWorks
Set Part = swApp.NewDocument("U:\Engineering help\Software\SolidWorks\Solidworks initial setup\New part and drawing templates\BA_part_mm_grams.PRTDOT", 0, 0, 0)

Set Part = swApp.ActiveDoc
boolstatus = Part.Extension.SelectByID2("Front Plane", "PLANE", 0, 0, 0, True, 0, Nothing, 0)
Set Value = Part.SketchManager.CreateCircleByRadius(0, 0, 0, 0.02 / 2)
 
'Part.InsertHelix False, True, False, False, 2, thread_length * (1.1), Pitch, 0, 0, 90
Part.InsertHelix False, True, False, False, 2, 0.03 * (1.1), 0.003, 0, 0, 120
 
Part.ClearSelection2 True

End Sub


No matter what value I put for the last variable as "starting angle", the computer defaults to 360.0000573, as shown in the attached screen grab.

Any help?

Thanks,

Brian

San Diego, CA